Bug 621056 - v7 failed after reboot test
v7 failed after reboot test
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.2
All Linux
high Severity high
: ---
: ---
Assigned To: Greg Nichols
CAI Qian
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 02:31 EDT by CAI Qian
Modified: 2010-09-21 05:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
After issuing the "v7 certify -m auto" command, v7 no longer fails after a reboot test.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 08:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reboot patch adding pause before shutdown -r (559 bytes, patch)
2010-08-04 10:37 EDT, Greg Nichols
no flags Details | Diff
test.py patch moving waitForLull and assoc. functions to Test base class (1.59 KB, patch)
2010-08-04 10:39 EDT, Greg Nichols
no flags Details | Diff
cpuscaling test patch for moving waitForLull to Test base class (1.18 KB, patch)
2010-08-04 10:40 EDT, Greg Nichols
no flags Details | Diff
reboot patch adding pause before shutdown -r and before panic (999 bytes, application/octet-stream)
2010-08-05 11:28 EDT, Greg Nichols
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0702 normal SHIPPED_LIVE v7 bug fix and enhancement update 2010-10-21 03:59:09 EDT

  None (edit)
Description CAI Qian 2010-08-04 02:31:32 EDT
Description of problem:
After the "v7 certify -m auto", v7 could not continue after the reboot test.

# v7 continue -m auto
Traceback (most recent call last):
  File "/usr/bin/v7", line 45, in <module>
    success = v7.do(args)
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 179, in do
    self.commands[self.command]()
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 586, in doContinue
    self.load()
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 210, in load
    self.certification.load(self.environment.getResultsPath())     
  File "/usr/share/v7/lib/v7/certificationtest.py", line 52, in load
    DocumentBase.load(self, filename)
  File "/usr/share/v7/lib/v7/documentbase.py", line 230, in load
    self.document = parse(file)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/minidom.py", line 1915, in parse
    return expatbuilder.parse(file)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/expatbuilder.py", line 930, in parse
    result = builder.parseFile(file)
  File "/usr/lib64/python2.6/site-packages/_xmlplus/dom/expatbuilder.py", line 211, in parseFile
    parser.Parse("", True)
xml.parsers.expat.ExpatError: no element found: line 1, column 0

Version-Release number of selected component (if applicable):
v7-1.2-14.el6

How reproducible:
often
Comment 1 CAI Qian 2010-08-04 02:38:26 EDT
"v7 print" also failed.
Comment 2 Greg Nichols 2010-08-04 10:37:46 EDT
Created attachment 436560 [details]
reboot patch adding pause before shutdown -r

This patch uses code written for the cpuscaling test (waitForLull) that calls sync, and check for low load before calling shutdown.  This should allow v7 to complete writing its results.xml before shutdown is called.
Comment 3 Greg Nichols 2010-08-04 10:39:07 EDT
Created attachment 436564 [details]
test.py patch moving waitForLull and assoc. functions to Test base class
Comment 4 Greg Nichols 2010-08-04 10:40:20 EDT
Created attachment 436566 [details]
cpuscaling test patch for moving waitForLull to Test base class
Comment 5 Greg Nichols 2010-08-05 11:28:19 EDT
Created attachment 436884 [details]
reboot patch adding pause before shutdown -r and before panic
Comment 8 qcui 2010-08-25 02:57:47 EDT
Verified it on el5.5 and el6 with R20.
Comment 11 errata-xmlrpc 2010-09-20 08:13:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html
Comment 12 Jaromir Hradilek 2010-09-21 05:24:52 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
After issuing the "v7 certify -m auto" command, v7 no longer fails after a reboot test.

Note You need to log in before you can comment on or make changes to this bug.